Class
Finder
Holds the haystack and a current search context.

Finder

Swift

SwiftLocal | SwiftSemiGlobal

Finder<THaystack[, TSpec]>
Include Headers
seqan/find.h
Parameters

THaystack | The haystack type. Types: Index, String
TSpec | The index-algorithm to search with (Optional). Default: The result of DefaultFinder Remarks: Leave empty for online pattern matching (see Pattern). If THaystack is an Index, then TSpec specifies the index search algorithm.

Remarks
position(finder) returns the position of the current hit in the haystack. If THaystack is a set of strings or an index of a set of strings, then position(finder) returns a Pair (hayNo, pos), in which hayNo is the haystack index and pos the local position of the hit.
Use clear(finder) to reset a finder object and search from the beginning.
Specializations

Swift | Provides a fast filter alogrithm that guarantees to find all regions overlapping with potential ε-matches. An ε-match is a matching region of minimal length and an error rate of at most ε.

Metafunctions

Container | Type of the container given an iterator.
Difference | Type of an object that stores the difference between two iterators.
Haystack | Returns the haystack type of a Finder type.
Host | Type of the object a given object depends on.
Iterator | Type of iterator objects that are used to traverse the container.
Value | Type of the items in the container.

Member Functions

Finder | Constructor

Functions

begin | The begin of a container.
beginPosition | Begin position of object in host.
clear | Resets an object.
end | The end of a container.
endPosition | End position of object in host.
find | Search for a Pattern in a Finder object.
findBegin | Search the begin of an approximate match.
haystack | Returns the haystack of a Finder object.
infix | Creates infix object.
length | The number of items/characters.
position | Position of an iterator.
setHaystack | Sets the haystack of a Finder object.

Example Programs
Index Finder, Index Finder StringSet
See Also
Index Find Algorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45